<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<link rel="import" href="/ts/common-elements/reset-css/reset-css.html">
<link rel="import" href="/ts/common-elements/iron-flex-layout-attributes/iron-flex-layout-attributes.html">

<link rel="import" href="/extern/bower_components/paper-button/paper-button.html">

<!--
only the last comment before <dom-module ...> appears in the documentation
-->

<!--
Material design: [Click me](https://www.google.com/design/spec/components/text-fields.html)

`element-template` is a template to be used when creating new Agilians elements.

Example:

    <element-template></element-template>
    <element-template demo-text="test"></element-template>

### Styling
The following custom properties and mixins are available for styling:

Custom property | Description | Default
----------------|-------------|----------
`--test-color` | A custom css property | `black`
`--element-template-mixin` | A custom mixin | `{}`

@demo demo/index.html

-->

<dom-module id="element-template">
  <template>
    <style>
:host{display:block;@apply (--element-template-mixin)}:host([disabled]){color:gray}p{color:var(--test-color, #000)}some-child-element-that-has-a-mixin{--child-element-mixin-name:{ background-color: green; border-radius: 4px; border: 1px solid gray; };--child-element-css-property:green}

</style>
    <!-- this will enable your element to be themed -->
    <style include="reset-css"></style>
    <!-- this will enable you to use flexbox easily using attributes -->
    <!-- browse <your-server>/ts/common-elements/iron-flex-layout-attributes/index.html -->
    <style include="iron-flex-layout-attributes"></style>

    <paper-button raised on-click="demo">[[demoText]]</paper-button>

  </template>
  <script>
Polymer({is:"element-template",properties:{demoText:{type:String,value:"Hello, World!",notify:!0,reflectToAttribute:!0,observer:"_disabledChanged",readOnly:!1}},demo:function(egg){return alert("you clicked the button!"),egg||(egg=new Egg("velociraptor")),this.fire("made-a-dinosaur",{fromEgg:egg}),new Dinosaur(egg)},_destroyHumanity:function(){dinosaurs=new Array;for(var i=0;1e8>i;i++)dinosaurs[i]=new Dinosaur,dinosaurs[i]._killAllHumans()},created:function(){},ready:function(){},attached:function(){},detached:function(){},attributeChanged:function(name,type){}});
</script>
</dom-module>
